﻿:root {
    --tglPoundColor: #A4E2FF;
    --tglFootColor: #E1CDED;
    --tglA2000FootColor: #E1CDED;
    --tglPieceColor: #A4E2FF;
    --tglCMColor: #E1CDED;
    --tglDMColor: #A4E2FF;
    --tglPriceDeliveredOn: #DD0000;
    --tglPriceDeliveredOff: #CCCCCC;
    --tglArchedOff: #CCCCCC;
    --tglArchedOn: #FFF01F;
    --tglBasicOff: #CCCCCC;
    --tglBasicOn: #DD0000;
    --tglESArchedOff: #CCCCCC;
    --tglESArchedOn: #FFF01F;
    --tglFlat12Off: #CCCCCC;
    --tglFlat12On: #FFF01F;
    --tglFlat24Off: #CCCCCC;
    --tglFlat24On: #00AAFF;
    --tglFoam12Off: #CCCCCC;
    --tglFoam12On: #00CC00;
    --tglFoam24Off: #CCCCCC;
    --tglFoam24On: #8F00FF;
    --tglH7Off: #CCCCCC;
    --tglH7On: #FFA500;
    --tglPerforatedOff: #CCCCCC;
    --tglPerforatedOn: #DD0000;
    --tglPerforatedArch: #FF9D00;
    --tglRivetedOff: #CCCCCC;
    --tglRivetedOn: #00AAFF;
    --tglShowCMOff: #CCCCCC;
    --tglShowCMOn: #00CC00;
    --clHighlighter: #5ABB49;
    --clSensor1: #F7A991;
    --clSensorHeader1: #f9997c;
    --intSensor1Max: 39;
    --clSensor2: #FCCA9A;
    --clSensorHeader2: #ffbd7d;
    --intSensor2Max: 57;
    --clSensor3: #C2EDA2;
    --clSensorHeader3: #a9d08d;
    --clPerforatedArch: #FF9D00;
    --intBandsCMFloor: 13;
    --intCMPCMFloor: 13;
    --intEndSectionsCMFloor: 45;
    --txtPerfPercent: 0.09;
    --txtArchPercent: 0.13;
    --txtRivPercent: 0.35;
    --txtBasicPercent: 0.35;
    --txtH7Percent: 0.55;
    --txtFlat12Percent: 0.65;
    --txtFoam12Percent: 0.7;
    --txtFlat24Percent: 0.7;
    --txtFoam24Percent: 0.7;
    --txtESArchPercent: 0.13;
    --intCMPCMPickUp: 23;
    --intBandsCMPickUp: 23;
    --intEndSectionsCMPickUp: 23;
    --intSlottedDrainCMFloor: 50;
    --intSlottedDrainCMPickUp: 40;
    --intDefaultCM: 65;
    /*"A2000" or later named "PVC Pipe" Properties*/
    --intA2000CMFloor: 50;
    --intA2000CMPickUp: 40;
    --dblPVCPipeCostChangeFactor: 1.12;
    --dblPVCFittingsCostChangeFactor: 1.12;
    /*TODO Change intPVCDefaultDM to default CM since that is what it's being used as currently*/
    --intPVCDefaultDM: 65;
    --intPVCFloorDM: 32;
    /*Remove intPVCPickUpDM as that doesn't make sense to have as it's for delivered margin, so will never be picked up.*/
    --intPVCPickUpDM: 25;
    --intDefaultPipeFreightMargin: 15;
    --intDefaultFreightAdderForFittings: 10;
    /*DuroMaxx Properties*/
    --intDuroCMFloor: 32;
    --intDuroCMPickUp: 25;
    --dblDuroPipeCostChangeFactor: 1.12;
    --dblDuroFittingsCostChangeFactor: 1.12;
    --intDuroDefaultCM: 65;
    --intDuroDMFloor: 32;
    --intDuroDefaultPipeFreightMargin: 15;
    --intDuroFittingsFreightMargin: 10;
    --intDuroFittingsMargin: 75;
    --intDuroAccessoryMargin: 75;
}


body {
}


input::-ms-reveal,
input::-ms-clear {
    display: none;
}


.loaderBackground {
    display: none;
    height: 1000%;
    width: 1000%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10000;
    background-color: rgba( 0, 0, 0, .9 );
}

.profileBackground {
    /* display: none; */
    height: 100%;
    width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10000;
    background-color: #00467F;
}


.loader {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #00467F; /* Contech Blue */
    border-radius: 50%;
    width: 150px;
    height: 150px;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -75px;
    margin-left: -85px;
    animation: spin 2s linear infinite;
}


.loaderTimer {
    width: 75px;
    height: 75px;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -5px;
    margin-left: -31px;
    font-size: 30px;
    color: white;
}


@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


.errorLable {
    color: red;
    animation-name: pulsing;
    animation-duration: .85s;
    animation-timing-function: ease-out;
    animation-direction: alternate;
    animation-iteration-count: infinite;
    animation-play-state: running;
}


@keyframes pulsing {
    0% {
    }

    25% {
        transform: scale(1.02);
    }

    50% {
        transform: scale(1.04);
    }

    75% {
        transform: scale(1.06);
    }

    100% {
        transform: scale(1.08);
    }
}


.hyperLink {
    cursor: pointer;
    color: blue;
}

    .hyperLink:hover {
        color: purple;
    }

.hyperLinkWhite {
    cursor: pointer;
    color: white;
}

    .hyperLinkWhite:hover {
        color: #00EE00;
    }


.tabLink {
    cursor: pointer;
    color: whitesmoke;
    text-align: center;
    border: 1px solid #385D8A;
}

    .tabLink:hover {
        background-color: #00467F;
    }


.selectBox {
    position: relative;
}

    .selectBox select {
        width: 100%;
        font-weight: bold;
    }


.overSelect {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}


.checkboxList {
    position: absolute;
    display: none;
    max-height: 120px;
    overflow-y: scroll;
    border: 1px #dadada solid;
    background-color: white;
    z-index: 999;
}

    .checkboxList label {
        background-color: white;
        display: block;
        font-size: 13px;
    }

        .checkboxList label:hover {
            background-color: #00467F;
            color: whitesmoke;
        }

.emailButton {
    height: 30px;
    background: #eee;
    border: 1.5px solid #385D8A;
    cursor: pointer;
}

.shareButton {
    height: 50px;
    width: 50px;
    float: right;
    margin-right: 10px;
    cursor: pointer;
}

.exampleBox {
    height: 10px;
    width: 10px;
    border-radius: 2px;
    border: 1px solid white;
}


.tabOption {
    height: 50px;
    text-align: center;
    vertical-align: middle;
    background-color: #00467F;
    border: 1px solid white;
    color: white;
    cursor: pointer;
}

    .tabOption:hover {
        background-color: #00CC00;
    }

    .tabOption.active {
        background-color: #00CC00;
    }


.tabButton {
    background-color: #00467F;
    color: white;
    cursor: pointer;
}

    .tabButton:hover {
        background-color: #00CC00;
    }

.genericButton {
    background-color: #00467F;
    color: white;
    cursor: pointer;
}

    .genericButton:hover {
        background-color: #00CC00;
    }


.toggle {
    position: relative;
    display: flex;
    height: 25px;
    width: 75px;
    border-radius: 20px;
    border: 1px solid white;
}

    .toggle .button {
        position: absolute;
        top: 8%;
        left: 2.5%;
        height: 85%;
        width: 70%;
        background: white;
        border-radius: 10px;
        transition: 0.5s;
        cursor: pointer;
    }

        .toggle .button a {
            position: relative;
            justify-content: center;
            display: flex;
            color: #00467F;
            margin-left: -5%;
            margin-top: 6%;
            font-size: 12px;
        }

        .toggle .button span {
            display: none;
        }

    .toggle.active .button {
        left: 27%;
    }

        .toggle.active .button a {
            display: none;
        }

        .toggle.active .button span {
            position: relative;
            justify-content: center;
            display: flex;
            color: #00467F;
            margin-left: -5%;
            margin-top: 6%;
            font-size: 12px;
        }


.togglePoundFoot {
    background: var(--tglPoundColor);
}

    .togglePoundFoot.active {
        background: var(--tglFootColor);
    }

.togglePieceFoot {
    background: var(--tglPieceColor);
}

    .togglePieceFoot.active {
        background: var(--tglA2000FootColor);
    }

.togglePVCMargin {
    background: var(--tglCMColor);
}

    .togglePVCMargin.active {
        background: var(--tglDMColor);
    }

.togglePriceDelivered {
    background: var(--tglPriceDeliveredOff)
}
    .togglePriceDelivered.active {
            background: var(--tglPriceDeliveredOn);
        }


.toggleArched {
    background: var(--tglArchedOff);
}

    .toggleArched.active {
        background: var(--tglArchedOn);
    }


.toggleBasic {
    background: var(--tglBasicOff);
}

    .toggleBasic.active {
        background: var(--tglBasicOn);
    }


.toggleESArched {
    background: var(--tglESArchedOff);
}

    .toggleESArched.active {
        background: var(--tglESArchedOn);
    }


.toggleFlat12 {
    background: var(--tglFlat12Off);
}

    .toggleFlat12.active {
        background: var(--tglFlat12On);
    }


.toggleFlat24 {
    background: var(--tglFlat24Off);
}

    .toggleFlat24.active {
        background: var(--tglFlat24On);
    }


.toggleFoam12 {
    background: var(--tglFoam12Off);
}

    .toggleFoam12.active {
        background: var(--tglFoam12On);
    }


.toggleFoam24 {
    background: var(--tglFoam24Off);
}

    .toggleFoam24.active {
        background: var(--tglFoam24On);
    }


.toggleH7 {
    background: var(--tglH7Off);
}

    .toggleH7.active {
        background: var(--tglH7On);
    }


.togglePerforated {
    background: var(--tglPerforatedOff);
}

    .togglePerforated.active {
        background: var(--tglPerforatedOn);
    }


.toggleRiveted {
    background: var(--tglRivetedOff);
}

    .toggleRiveted.active {
        background: var(--tglRivetedOn);
    }


.toggleShowCM {
    background: var(--tglShowCMOff);
}

    .toggleShowCM.active {
        background: var(--tglShowCMOn);
    }


.displayProductInfo {
    display: flex;
}


.displayProjectInfo {
    display: none;
}


.displayFreightInfo {
    display: none;
}

.displayPlasticsFreightInfo{
    display: none;
}


.displayRivetInfo {
    display: none;
}


.displayBandSearch {
    display: none;
}


.displayCMPSearch {
    display: flex;
}


.displaySDSearch {
    display: none;
}


.displayA2000Search {
    display: none;
}


.displayEndSectionSearch {
    display: none;
}


.tableFixHeader {
    overflow-y: auto;
}

    .tableFixHeader thead th {
        position: sticky;
        top: 0;
    }


.settingsTabs {
    display: none;
}


.attachmentItem {
    height: 18px;
    font-size: 12px;
    float: left;
    margin-top: 2px;
    margin-left: 5px;
    color: black;
    background: white;
    border: 1px dashed black;
    cursor: pointer;
}

    .attachmentItem:hover {
        background-color: white;
        color: white;
        background: #00467F;
        border: 1px dashed white;
    }

.assistNavIcon {
    height: 120px;
    width: 140px;
    border: 2px solid gray;
    cursor: pointer;
    text-align: center;
    margin: 5px;
}
    .assistNavIcon:hover {
        background-color: #385D8A;
        border: 2px solid darkblue;
    }
    .assistNavIcon:hover label{
        color:white;
    }

.assistNavImage{
    height:100px;
    width:100px;
    margin-bottom:-20px;
    pointer-events:none;
}

.assistNavIconLabel {
    display: block;
    font-size: 18px;
    font-family: Arial;
    color: #00467F;
    margin-left:  5px;
    margin-right: 5px;
    pointer-events:none;
}

.assistTroubleshootingIcon {
    height: 200px;
    width: 200px;
    border: 2px solid gray;
    cursor: pointer;
    text-align: center;
    margin: 5px;
}

    .assistTroubleshootingIcon:hover {
        background-color: #385D8A;
        border: 2px solid darkblue;
    }

    .assistTroubleshootingIcon:hover label {
        color: white;
    }

.assistTroubleshootingImage {
    height: 150px;
    width: 150px;
    margin-bottom: -20px;
    pointer-events: none;
}

.assistTroubleshootingLabel {
    display: block;
    font-size: 18px;
    font-family: Arial;
    color: #00467F;
    margin-left: 5px;
    margin-right: 5px;
    pointer-events: none;
}

.assistPopularChapters {
    height: 100px;
    width: 175px;
    border: 2px solid gray;
    border-left: 5px solid gray;
    margin-right: 10px;
    margin-top: 10px;
    cursor: pointer;
    background-color: white;
    float: left;
    text-decoration: none;
    color: black;
    vertical-align: middle;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: Arial, sans-serif;
    padding:4px;
}
    .assistPopularChapters:hover {
        background-color: #385D8A;
        border: 2px solid darkblue;
        border-left: 5px solid darkblue;
        color:white;
    }

.closeXButton {
    float: right;
    height: 35px;
    width: 35px;
    background-color: orangered;
    color: white;
    text-align: center;
    font-size:24px;
    padding: 0px;
    border-width: 1px;
    margin-top: 5px;
    margin-right: 5px;
    border-radius: 4px;
}
    .closeXButton:hover {
        border-color:white;
    }

.commonTopicsHyperlinks {
color: #00467F;
    cursor: pointer;
    font-size:12px;
    font-weight:normal;
}

    .commonTopicsHyperlinks:hover {
        color: #00CC00;
    }

    .commonTopicsHyperlinks:active {
        color: #00CC00;
    }

    .commonTopicsHyperlinks:visited {
        color: #00CC00;
    }

.hoverHighlight{    

}
    .hoverHighlight:hover{
        background-color: darkblue;
        color: white;
    }

.bandHoverHighlight{
    background-color: lightblue;
}
    .bandHoverHighlight:hover {
        background-color: darkblue;
        color: white;
    }

.warningLabel {
    background: rgba(255, 0, 0, .15);
    font-size: 14px;
    font-family: 'Segoe UI';
    font-weight: bold;
    float: right;
    transform: translate(660px, 34px);
    padding: 0px 5px 0px 5px;
    position: absolute;
    color: red;
}

.modal {
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background: rgba(0,0,0,0.4);
    animation: modal-fadein 0.3s;
    backdrop-filter: blur(2px);
}
@keyframes modal-fadein {
    from { opacity: 0; }
    to { opacity: 1; }
}
.modal-header {
    position: relative;
    background: #00467F;
    color: #fff;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    font-size: 1.2em;
    font-weight: bold;
}
.modal-content {
    background: #fff;
    margin: 10% auto;
    border-radius: 8px;
    width: 300px;
    position: relative;
    box-shadow: 0 8px 32px rgba(0, 0, 0, 0.25), 0 1.5px 4px rgba(0, 0, 0, 0.18);
    font-family: 'Segoe UI', Arial, sans-serif;
    padding-bottom: 12px;
}

.modal-header-text {
    margin-left: 8px;
    font-family: 'Segoe UI', Arial, sans-serif;
    color: #fff;
}

.modal-body {
    padding-left: 12px;
    padding-top: 10px;
    position: relative;
    font-family: 'Segoe UI', Arial, sans-serif;
}

.modal-button {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.close {
    position: absolute;
    top: -5px;
    right: 5px;
    color: #888;
    transition: color 0.2s;
    cursor: pointer;
    font-size: 24px;
}
.close:hover {
        color: #DD0000;
    }

#modalOkBtn {
    margin-top: 20px;
}

#snackbar {
    visibility: hidden; /* Hidden by default. Visible on click */
    min-width: 250px; /* Set a default minimum width */
    margin-left: -250px; /* Divide value of min-width by 2 */
    background-color: forestgreen; /* dark blue background color */
    color: #fff; /* White text color */
    text-align: center; /* Centered text */
    border-radius: 2px; /* Rounded borders */
    padding: 16px; /* Padding */
    position: fixed; /* Sit on top of the screen */
    z-index: 1; /* Add a z-index if needed */
    left: 50%; /* Center the snackbar */
    bottom: 75px; /* 30px from the bottom */
}

    /* Show the snackbar when clicking on a button (class added with JavaScript) */
    #snackbar.show {
        visibility: visible; /* Show the snackbar */
        /* Add animation: Take 0.5 seconds to fade in and out the snackbar.
  However, delay the fade out process for 2.5 seconds */
        -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
        animation: fadein 0.5s, fadeout 0.5s 2.5s;
    }

/* Animations to fade the snackbar in and out */
@-webkit-keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 75px;
        opacity: 1;
    }
}

@keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 75px;
        opacity: 1;
    }
}

@-webkit-keyframes fadeout {
    from {
        bottom: 75px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}

@keyframes fadeout {
    from {
        bottom: 75px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}